<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShopPlus Headphone</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <script src="plugins/select2/js/select2.full.min.js"></script>

    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- Các file css tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
        <a class="navbar-brand" href="HomePage.html">
            <span>
                ShopPlusVN
            </span>
        </a>
        <label for="check">
            <i class="fas fa-bars" id="menu-bar-click"></i>
            <i class="fas fa-times" id="menu-bar-cancel"></i>
        </label>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="HomePage.html">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link" href="headphone.html"> Headphone </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-about-us" href="#"> About </a>
            </li>
            <li class="nav-item pt-1 align-self-center">
                <a class="nav-link to-contact-us" href="#">Contact Us</a>
            </li>
            <li class="nav-item dropdown pt-1 align-self-center">
                <a class="nav-link px-4" data-toggle="dropdown">
                    <span class="fa-stack fa-1x pl-2">
                        <i class="fas fa-circle fa-stack-2x icon-background"></i>
                        <i class="fa-solid fa-user fa-stack-1x"></i>
                    </span>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <div class="text-center mt-1">
                            <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i>
                                Log
                                in</button>
                            <button class="btn btn-light" id="btn-sign-up"><i class="fa-regular fa-square-plus"></i>
                                Sign
                                up</button>
                        </div>
                        <div class="text-center mt-1">
                            <a id="name-user"></a>
                            <button class="btn btn-danger" id="btn-log-out"><i
                                    class="fa-solid fa-right-from-bracket"></i> Log
                                out</button>
                        </div>
                    </div>
                </a>
            </li>
        </ul>
        <div class="user_option-box">
            <a href="customerInfo.html">
                <i class="fa fa-user" aria-hidden="true"></i>
            </a>
            <a href="cart.html">
                <i class="fa fa-cart-plus" aria-hidden="true"></i>
            </a>
            <a href="#" id="show-search">
                <i class="fa fa-search" aria-hidden="true"></i>
            </a>
        </div>
    </nav>

    <!-- Div filter -->
    <div class="row filter">
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-apple">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/Apple54-b_5.jpg" width="68" height="30" alt="Apple">
            </a>
        </div>
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-beats">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/Beats54-b_21.jpg" width="68" height="30" alt="Beats">
            </a>
        </div>
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-samsung-buds">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/samsungnew-220x48-220x48-6.png" width="68" height="30"
                    alt="Samsung">
            </a>
        </div>
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-soundpeats">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/Soundpeats54-b_10.jpg" width="68" height="30"
                    alt="Soundpeats">
            </a>
        </div>
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-sony">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/Sony54-b_50.jpg" width="68" height="30" alt="Sony">
            </a>
        </div>
        <div class="col-sm-2 text-center">
            <a href="#" id="fil-oppo">
                <img class="filter" src="//cdn.tgdd.vn/Brand/1/OPPO42-b5-220x48-2.jpg" width="68" height="30"
                    alt="OPPO">
            </a>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-less-1m5">
                < 1M5</button>
        </div>
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-1m5-5m">1M5 - 5M</button>
        </div>
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-more-5m">> 5M</button>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-decrease">
                <i class="fa-solid fa-down-long"></i>
                Decrease
            </button>
        </div>
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-show-all">Show All</button>
        </div>
        <div class="col-sm-4 text-center">
            <button class="btn btn-light btn-ascending">
                <i class="fa-solid fa-up-long"></i>
                Ascending
            </button>
        </div>
    </div>

    <hr>

    <!-- div list product -->
    <div class="container-fluid all-headphone">
        <div class="text-center">
            <h2 id="content-headphone">
                All Products
            </h2>
        </div>
        <div class="row" id="all-headphone">
        </div>
    </div>

    <hr>

    <!-- About us -->
    <div class="container-fluid about-us">
        <div class="row">
            <div class="col-md-6 col-lg-5">
                <div class="img-box">
                    <img src="images/aboutus.jpg" alt="">
                </div>
            </div>
            <div class="col-md-6 col-lg-7">
                <div class="detail-box text-center">
                    <h2>
                        About Us
                    </h2>
                    <p>
                        ShopPlus is a leading company specializing in providing tws headphones in Ho Chi Minh City
                        with more than 5 years of industry experience.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <hr>

    <!-- Contact -->
    <div class="container-fluid contact-us">
        <div class="row form-group">
            <div class="col-md-6">
                <h2 class="text-center title-contact">
                    Contact Us
                </h2>
                <div>
                    <input type="text" class="form-control" id="inp-full-name" placeholder="Full Name " />
                    <span style="color: red;" id="span-full-name"></span>
                </div>
                <div>
                    <input type="email" class="form-control" id="inp-email" placeholder="Email" />
                    <span style="color: red;" id="span-email"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-phone" placeholder="Phone number" />
                    <span style="color: red;" id="span-phone"></span>
                </div>
                <div>
                    <input type="text" class="form-control" id="inp-message" class="message-box"
                        placeholder="Message" />
                    <span style="color: red;" id="span-message"></span>
                </div>
                <div class="btn-box">
                    <button id="send-advise" class="btn1">
                        SEND
                    </button>
                </div>
            </div>
            <div class="col-md-6">
                <div class="img-box">
                    <img src="images/poster.jpg" alt="">
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid footer_section">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="footer_detail">
                        <h4>
                            About
                        </h4>
                        <p>
                            ShopPlusVN Co., Ltd
                        </p>
                        <a href="">
                            <i class="fa-brands fa-facebook" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-twitter" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-linkedin" aria-hidden="true"></i>
                        </a>
                        <a href="">
                            <i class="fa-brands fa-instagram" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="footer_contact">
                        <h4>
                            Reach at..
                        </h4>
                        <div class="contact_link_box">
                            <a href="">
                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                <span>
                                    78 Tân Hòa Đông, P.14, Q.6, tpHCM
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-phone" aria-hidden="true"></i>
                                <span>
                                    Call 0909887249
                                </span>
                            </a> <br>
                            <a href="">
                                <i class="fa fa-envelope" aria-hidden="true"></i>
                                <span>
                                    shopplusVN@gmail.com
                                </span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gURL = "http://localhost:8080/products/";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // Khi tải trang
    onPageLoading();

    // Sự kiện khi click tag About us
    $(".to-about-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".about-us").offset().top
        }, 1000);
    });

    // Sự kiện khi click tag Contact
    $(".to-contact-us").click(function () {
        $('html, body').animate({
            scrollTop: $(".contact-us").offset().top
        }, 1000);
    });

    // Sự kiện khi click like
    $('.like').click(function () {
        $(this).toggleClass('clicked');
    });

    // Sự kiện gửi advise
    $('#send-advise').on('click', onBtnSendAdvise);

    /** Gán sự kiện khi click lọc theo hãng **/
    $('#fil-apple').on('click', onFilterProductOfApple);
    $('#fil-beats').on('click', onFilterProductOfBeats);
    $('#fil-samsung-buds').on('click', onFilterProductOfSamsung);
    $('#fil-soundpeats').on('click', onFilterProductOfSoundpeats);
    $('#fil-sony').on('click', onFilterProductOfSony);
    $('#fil-oppo').on('click', onFilterProductOfOppo);

    /** Gán sự kiện khi lọc theo giá **/
    $('.btn-less-1m5').on('click', onBtnFilterPriceLess1M5);
    $('.btn-1m5-5m').on('click', onBtnFilterPriceBetween1M55M);
    $('.btn-more-5m').on('click', onBtnFilterPriceMore5M);

    /** Gán sự khi khi hiển thị theo giá tăng/giảm dần **/
    $('.btn-decrease').on('click', onBtnFilDecrease);
    $('.btn-ascending').on('click', onBtnFilAscending);

    // Gán sự kiện btn show all
    $('.btn-show-all').on('click', onBtnShowAllProduct);

    // Sự kiện khi click details product
    $(document).on('click', '#detail-product', function () {
        onDetailProduct(this);
    });

    // Sự kiện khi click details product
    $(document).on('click', '#detail-product1', function () {
        onDetailProduct1(this);
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // Hàm xử lý khi tải trang
    function onPageLoading() {
        callApiGetAllProduct();
    }

    // Hàm xử lý khi lọc product Apple
    function onFilterProductOfApple() {
        var vVendor = "apple";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Apple");
    }

    // Hàm xử lý khi lọc product beats
    function onFilterProductOfBeats() {
        var vVendor = "beats";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Beats");
    }

    // Hàm xử lý khi lọc product samsung
    function onFilterProductOfSamsung() {
        var vVendor = "samsung";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Samsung");
    }

    // Hàm xử lý khi lọc product soundpeats
    function onFilterProductOfSoundpeats() {
        var vVendor = "soundpeats";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Soundpeats");
    }

    // Hàm xử lý khi lọc product sony
    function onFilterProductOfSony() {
        var vVendor = "sony";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Sony");
    }

    // Hàm xử lý khi lọc product oppo
    function onFilterProductOfOppo() {
        var vVendor = "oppo";
        callApiGetProductByVendor(vVendor);
        $('#content-headphone').html("Products Of Oppo");
    }

    // Hàm xử lý khi lọc price less 1m5
    function onBtnFilterPriceLess1M5() {
        var vParam = "less1m5";
        callApiGetProductByPrice(vParam);
        $('#content-headphone').html("Products priced under 1M5");
    }

    // Hàm xử lý khi lọc price 1m5 - 5m
    function onBtnFilterPriceBetween1M55M() {
        var vParam = "more1m5AndLess5m";
        callApiGetProductByPrice(vParam);
        $('#content-headphone').html("Products are priced from 1M5 to 5M");
    }

    // Hàm xử lý khi lọc price more 5m
    function onBtnFilterPriceMore5M() {
        var vParam = "more5m";
        callApiGetProductByPrice(vParam);
        $('#content-headphone').html("Products priced over 5M");
    }

    // Hàm xử lý khi sắp xếp theo giá giảm dần
    function onBtnFilDecrease() {
        var vContentProduct = $('#content-headphone').html();
        if (vContentProduct == "All Products") {
            var vParam = "DESC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products priced under 1M5") {
            vParam = "less1m5/DESC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products are priced from 1M5 to 5M") {
            vParam = "more1m5AndLess5m/DESC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products priced over 5M") {
            vParam = "more5m/DESC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products Of Apple") {
            vParam = "DESC/apple";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Beats") {
            vParam = "DESC/beats";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Samsung") {
            vParam = "DESC/samsung";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Soundpeats") {
            vParam = "DESC/soundpeats";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Sony") {
            vParam = "DESC/sony";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Oppo") {
            vParam = "DESC/oppo";
            callApiGetProductByVendor(vParam);
        }
    }

    // Hàm xử lý khi sắp xếp theo giá tăng dần
    function onBtnFilAscending() {
        var vContentProduct = $('#content-headphone').html();
        if (vContentProduct == "All Products") {
            var vParam = "ASC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products priced under 1M5") {
            vParam = "less1m5/ASC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products are priced from 1M5 to 5M") {
            vParam = "more1m5AndLess5m/ASC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products priced over 5M") {
            vParam = "more5m/ASC";
            callApiGetProductByPrice(vParam);
        }
        if (vContentProduct == "Products Of Apple") {
            vParam = "ASC/apple";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Beats") {
            vParam = "ASC/beats";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Samsung") {
            vParam = "ASC/samsung";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Soundpeats") {
            vParam = "ASC/soundpeats";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Sony") {
            vParam = "ASC/sony";
            callApiGetProductByVendor(vParam);
        }
        if (vContentProduct == "Products Of Oppo") {
            vParam = "ASC/oppo";
            callApiGetProductByVendor(vParam);
        }
    }

    // Hàm xử lý khi click show all
    function onBtnShowAllProduct() {
        callApiGetAllProduct();
        $('#content-headphone').html("All Products");
    }

    // Hàm xử lý khi click chi tiết product
    function onDetailProduct(paramDetail) {
        var vValue = $(paramDetail).children('input').val();
        // console.log(vValue);
        const vPROPERTIES_DETAILS_URL = "details-product.html"
        var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "productId=" + vValue;
        window.location.href = vUrlSiteToOpen;
    }

    // Hàm xử lý khi click chi tiết product
    function onDetailProduct1(paramDetail) {
        var vValue = $(paramDetail).children('input').val();
        console.log(vValue);
        const vPROPERTIES_DETAILS_URL = "details-product.html"
        var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "productId=" + vValue;
        window.location.href = vUrlSiteToOpen;
    }

    // Hàm xử lý khi click send advise
    function onBtnSendAdvise() {
        var vAdviseObj = {
            fullName: "",
            phoneNum: "",
            message: "",
            email: ""
        };
        vAdviseObj.fullName = $('#inp-full-name').val();
        vAdviseObj.phoneNum = $('#inp-phone').val();
        vAdviseObj.message = $('#inp-message').val();
        vAdviseObj.email = $('#inp-email').val()
        var vIsCheck = validateAdvise(vAdviseObj);
        if (vIsCheck) {
            $('#span-full-name').html("");
            $('#span-phone').html("");
            $('#span-message').html("");
            $('#span-email').html("");
            callApiPostNewAdvise(vAdviseObj);
            $('#inp-full-name').val("");
            $('#inp-phone').val("");
            $('#inp-message').val("");
            $('#inp-email').val("");
        }
    }

    /*** REGION 4 - Common function - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm call api get new product
    function callApiGetAllProduct() {
        $.ajax({
            url: gURL,
            type: "GET",
            async: false,
            success: function (res) {
                // console.log(res);
                var vAll = $('#all-headphone');
                loadDataToWebsite(res, vAll);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm call Api get product by Vendor
    function callApiGetProductByVendor(paramVendor) {
        $.ajax({
            url: gURL + "vendor/" + paramVendor,
            type: "GET",
            async: false,
            success: function (res) {
                // console.log(res);
                var vAll = $('#all-headphone');
                loadDataToWebsite(res, vAll);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm call Api get product by price
    function callApiGetProductByPrice(paramPrice) {
        $.ajax({
            url: gURL + paramPrice,
            type: "GET",
            async: false,
            success: function (res) {
                // console.log(res);
                var vAll = $('#all-headphone');
                loadDataToWebsite(res, vAll);
            },
            error: function (error) {
                console.log(error.responseText);
            }
        });
    }

    // Hàm load dữ liệu lên web
    function loadDataToWebsite(paramResult, paramElement) {
        paramElement.html("");
        var vInfo = "";
        for (var bI = 0; bI < paramResult.length; bI++) {
            vInfo += `
                <div class="col-sm-4">
                    <div class="container">
                        <div class="item-list">
                            <div class="item item-1">
                                <div class="img"><a href="javascript:;">
                                    <div class="like"><i class="fa fa-heart" aria-hidden="true"></i></div></a>
                                    <div class="img-content"><img src="` + paramResult[bI].photo + `" style="width:100%"/></div>
                                </div>
                                <div class="social">
                                    <a href="javascript:;"><div class="fb"><i class="fa-solid fa-phone-volume" aria-hidden="true"></i></div></a>
                                    <a href="javascript:;"><div class="tw"><i id="btn-buy" class="fa-solid fa-cart-shopping">
                                    <input type="hidden" value="` + paramResult[bI].id + `"/></i></div></a>
                                    <a href="javascript:;"><div class="ig"><i id="detail-product" class="fa-solid fa-info" aria-hidden="true">
                                    <input type="hidden" value="` + paramResult[bI].id + `"/></i></div></a>
                                </div>
                                <div class="text-container">
                                    <h2 class="title">` + paramResult[bI].productName + `</h2>
                                    <p>Hãng: ` + paramResult[bI].productVendor + `</p>
                                    <p>Số lượng: ` + paramResult[bI].quantityInStock + `</p>
                                    <h5 class="text-danger"><i class="fa-solid fa-hand-holding-dollar"></i> &nbsp; ` + paramResult[bI].buyPrice + `&nbsp; VND
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>`;
        }
        paramElement.html(vInfo);
    }

    // Hàm validate dữ liệu advise
    function validateAdvise(paramObj) {
        var vRegex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        var vResult = true;
        if (paramObj.fullName == "") {
            $('#span-full-name').html("You must get your name");
            vResult = false;
        }
        if (!vRegex.test(paramObj.email)) {
            $('#span-email').html("Invalid email");
            vResult = false;
        }
        if (paramObj.phoneNum == "") {
            $('#span-phone').html("You must get your phone number");
            vResult = false;
        }
        if (paramObj.message == "") {
            $('#span-message').html("You must get message");
            vResult = false;
        }
        return vResult;
    }

    // Hàm call api post new advise
    function callApiPostNewAdvise(paramObj) {
        $.ajax({
        url: "http://localhost:8080/advise",
        method: "POST",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramObj),
        success: function (res) {
        //   console.log(res);
          alert("Gửi yêu cầu tư vấn thành công!");
        },
        error: function (paramError) {
        //   console.log(paramError);
          alert("Gửi yêu cầu tư vấn không thành công!");
        }
      });
    }

</script>

</html>